[arch-commits] Commit in firefox-developer-edition/trunk (2 files)

Andrew Crerar andrewsc at archlinux.org
Tue Dec 3 16:19:38 UTC 2019


    Date: Tuesday, December 3, 2019 @ 16:19:38
  Author: andrewsc
Revision: 534961

upgpkg: firefox-developer-edition 72.0b1-1

- Removed outdated system lib config options
- Removed Python 3.8 patch as upstream has now implemented the changes
- Use builtin NSS and NSPR libs until https://bugzilla.mozilla.org/show_bug.cgi?id=1592007 is resolved

Modified:
  firefox-developer-edition/trunk/PKGBUILD
Deleted:
  firefox-developer-edition/trunk/python_38_mozinfo.patch

-------------------------+
 PKGBUILD                |   18 ++-------------
 python_38_mozinfo.patch |   54 ----------------------------------------------
 2 files changed, 3 insertions(+), 69 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2019-12-03 16:13:21 UTC (rev 534960)
+++ PKGBUILD	2019-12-03 16:19:38 UTC (rev 534961)
@@ -2,14 +2,13 @@
 # Contributor: Jan Alexander Steffens (heftig) <jan.steffens at gmail.com>
 
 pkgname=firefox-developer-edition
-pkgver=71.0b12
+pkgver=72.0b1
 pkgrel=1
 pkgdesc="Developer Edition of the popular Firefox web browser"
 arch=('x86_64')
 license=('MPL' 'GPL' 'LGPL')
 url="https://www.mozilla.org/firefox/channel/#developer"
-depends=('gtk3' 'libxt' 'startup-notification' 'mime-types' 'dbus-glib' 'ffmpeg' 'nss'
-         'ttf-font' 'libpulse')
+depends=('gtk3' 'libxt' 'startup-notification' 'mime-types' 'dbus-glib' 'ffmpeg' 'ttf-font' 'libpulse')
 makedepends=('unzip' 'zip' 'diffutils' 'python2-setuptools' 'yasm' 'mesa' 'imake' 'inetutils'
              'xorg-server-xvfb' 'autoconf2.13' 'rust' 'clang' 'llvm' 'jack' 'gtk2'
              'python' 'nodejs' 'python2-psutil' 'python-distro' 'cbindgen' 'nasm')
@@ -23,13 +22,11 @@
 source=(https://archive.mozilla.org/pub/firefox/releases/$pkgver/source/firefox-$pkgver.source.tar.xz{,.asc}
         firefox-install-dir.patch
         0001-Use-remoting-name-for-GDK-application-names.patch
-        python_38_mozinfo.patch
         "$pkgname".desktop)
-sha512sums=('012c3cdb963ce86931397154982f6bbe1b4207bf4cbd1b6728ae218c9705133ea115a6d2eb4c03e1373c821968b7e8e067b3f9cab67b646bd7c598dead21009b'
+sha512sums=('fa8f44ab8e7901c0f188b5702aeda47faa7760859a1a2dc921d2cbaa244a2277ac2e59248442371cc36204ffe641695c3b1df0ca9bd3377b7579713f31adaf2e'
             'SKIP'
             'b66dbe7f262d036e5a5b895ab5b0dbb03313bca18b0823c001ef2dbaeb1a33169b57db0cf4dfd268499f28913845119902b5d62e8a6a9cc4820eb0ee2f322a1e'
             '40c931b8abbe5880122dbcc93d457e04e9b4f2bc3e0275e9e3e35dd347fe0658f9446c89e99553203be8a8c9ab6f4ca872a7aedc514920c107b9235c04df91dc'
-            '4fb484c6488d2e31f8700b20b8f184e4f670079472eb31c7794c1f5f5c343e2537d1ca88365dacc2802058329100bf373635c51a0df14f174460aa4fd702cd0a'
             'c212158fe76b1e6228adba9214e2881458b81f38564149719dd18b121f962285bf54603a5bea93c27cb09be851b1d70091a2ce2eb5294c9d75f7619e06d549be')
 validpgpkeys=('14F26682D0916CDD81E37B6D61B7B526D98F0353') # Mozilla Software Releases <release at mozilla.com>
 
@@ -53,9 +50,6 @@
   # https://bugzilla.mozilla.org/show_bug.cgi?id=1530052
   patch -Np1 -i ../0001-Use-remoting-name-for-GDK-application-names.patch
 
-  # Attempt to use distro package as platform has been deprecated
-  patch -Np1 -i ../python_38_mozinfo.patch
-
   echo -n "$_google_api_key" > google-api-key
   echo -n "$_mozilla_api_key" > mozilla-api-key
 
@@ -89,12 +83,6 @@
 ac_add_options --with-google-safebrowsing-api-keyfile=${PWD at Q}/google-api-key
 ac_add_options --with-mozilla-api-keyfile=${PWD at Q}/mozilla-api-key
 
-# System libraries
-ac_add_options --with-system-zlib
-ac_add_options --with-system-bz2
-ac_add_options --enable-system-sqlite
-ac_add_options --enable-system-ffi
-
 # Features
 ac_add_options --enable-alsa
 ac_add_options --enable-jack

Deleted: python_38_mozinfo.patch
===================================================================
--- python_38_mozinfo.patch	2019-12-03 16:13:21 UTC (rev 534960)
+++ python_38_mozinfo.patch	2019-12-03 16:19:38 UTC (rev 534961)
@@ -1,54 +0,0 @@
-diff -r 05375fb5dd89 testing/mozbase/mozinfo/mozinfo/mozinfo.py
---- a/testing/mozbase/mozinfo/mozinfo/mozinfo.py	Fri Nov 15 16:21:54 2019 +0000
-+++ b/testing/mozbase/mozinfo/mozinfo/mozinfo.py	Fri Nov 15 13:32:36 2019 -0500
-@@ -14,6 +14,7 @@
- import platform
- import re
- import sys
-+
- from .string_version import StringVersion
- from ctypes.util import find_library
- 
-@@ -98,25 +99,34 @@
-     info['os'] = 'win'
-     os_version = version = unknown
- elif system == "Linux":
--    if hasattr(platform, "linux_distribution"):
--        (distro, os_version, codename) = platform.linux_distribution()
--    else:
--        (distro, os_version, codename) = platform.dist()
-+    # Attempt to use distro package to determine Linux distribution first.
-+    # Failing that, fall back to use the platform method.
-+    # Note that platform.linux_distribution() will be deprecated as of 3.8
-+    # and this block will be removed once support for 2.7/3.5 is dropped.
-+    try:
-+        from distro import linux_distribution
-+    except ImportError:
-+        from platform import linux_distribution
-+
-+    output = linux_distribution()
-+    (distribution, os_version, codename) = tuple(
-+        str(item.title()) for item in output)
-+
-     if not processor:
-         processor = machine
--    version = "%s %s" % (distro, os_version)
-+    version = "%s %s" % (distribution, os_version)
- 
-     # Bug in Python 2's `platform` library:
-     # It will return a triple of empty strings if the distribution is not supported.
-     # It works on Python 3. If we don't have an OS version,
-     # the unit tests fail to run.
--    if not distro and not os_version and not codename:
--        distro = 'lfs'
-+    if not distribution and not os_version and not codename:
-+        distribution = 'lfs'
-         version = release
-         os_version = release
- 
-     info['os'] = 'linux'
--    info['linux_distro'] = distro
-+    info['linux_distro'] = distribution
- elif system in ['DragonFly', 'FreeBSD', 'NetBSD', 'OpenBSD']:
-     info['os'] = 'bsd'
-     version = os_version = sys.platform


More information about the arch-commits mailing list